| The Gaudi Framework v32r1 (f65d50dc)

Classes | Public Member Functions | Private Attributes | List of all members
Gaudi::Parsers::Property Class Referencefinal

`#include <src/JobOptionsSvc/Property.h>`

Collaboration diagram for Gaudi::Parsers::Property:
[legend]

## Classes
class | Equal
struct | LessThen

## Public Member Functions
| Property (PropertyName property_name, PropertyValue property_value)
const PropertyName & | property_name () const
PropertyValue & | property_value ()
Property & | operator+= (const PropertyValue &value)
Property & | operator-= (const PropertyValue &value)
const Position & | DefinedPosition () const
bool | HasDefinedPosition () const
const Position & | ValuePosition () const
bool | HasValuePosition () const
const std::string & | ClientName () const
const std::string & | NameInClient () const
std::string | FullName () const
std::string | ValueAsString () const
std::string | ToString () const
bool | IsSimple () const
bool | IsVector () const
bool | IsMap () const
bool | IsReference () const

## Private Attributes
PropertyName | property_name_
PropertyValue | property_value_

## Detailed Description

Definition at line 17 of file Property.h.

## Constructor & Destructor Documentation

## ◆ Property()

Gaudi::Parsers::Property::Property | ( | PropertyName | property_name,
|  | PropertyValue | property_value
| ) |  |
| inline

Definition at line 36 of file Property.h.

37 : property_name_( std::move( property_name ) ), property_value_( std::move( property_value ) ) {}
Gaudi::Parsers::Property::property_name_
PropertyName property_name_
Definition: Property.h:69
Gaudi::Parsers::Property::property_value_
PropertyValue property_value_
Definition: Property.h:70
Gaudi::Parsers::Property::property_value
PropertyValue & property_value()
Definition: Property.h:40
Gaudi::Parsers::Property::property_name
const PropertyName & property_name() const
Definition: Property.h:39
std::move
T move(T... args)

## Member Function Documentation

## ◆ ClientName()

const std::string & Property::ClientName | ( |  | ) | const

Definition at line 23 of file Property.cpp.

23 { return property_name_.client(); }
Gaudi::Parsers::Property::property_name_
PropertyName property_name_
Definition: Property.h:69
Gaudi::Parsers::PropertyName::client
const std::string & client() const
Definition: PropertyName.h:26

## ◆ DefinedPosition()

const gp::Position & Property::DefinedPosition | ( |  | ) | const

Definition at line 19 of file Property.cpp.

19 { return property_name_.position(); }
Gaudi::Parsers::Property::property_name_
PropertyName property_name_
Definition: Property.h:69
Gaudi::Parsers::PropertyName::position
const Position & position() const
Definition: PropertyName.h:28

## ◆ FullName()

std::string Property::FullName | ( |  | ) | const

Definition at line 27 of file Property.cpp.

27 { return property_name_.ToString(); }
Gaudi::Parsers::Property::property_name_
PropertyName property_name_
Definition: Property.h:69
Gaudi::Parsers::PropertyName::ToString
std::string ToString() const
Definition: PropertyName.cpp:8

## ◆ HasDefinedPosition()

bool Gaudi::Parsers::Property::HasDefinedPosition | ( |  | ) | const
| inline

Definition at line 52 of file Property.h.

52 { return DefinedPosition().Exists(); }
Gaudi::Parsers::Property::DefinedPosition
const Position & DefinedPosition() const
Definition: Property.cpp:19
Gaudi::Parsers::Position::Exists
bool Exists() const
Definition: Position.h:23

## ◆ HasValuePosition()

bool Gaudi::Parsers::Property::HasValuePosition | ( |  | ) | const
| inline

Definition at line 55 of file Property.h.

55 { return ValuePosition().Exists(); }
Gaudi::Parsers::Position::Exists
bool Exists() const
Definition: Position.h:23
Gaudi::Parsers::Property::ValuePosition
const Position & ValuePosition() const
Definition: Property.cpp:21

## ◆ IsMap()

bool Property::IsMap | ( |  | ) | const

Definition at line 37 of file Property.cpp.

37 { return property_value_.IsMap(); }
Gaudi::Parsers::Property::property_value_
PropertyValue property_value_
Definition: Property.h:70
Gaudi::Parsers::PropertyValue::IsMap
bool IsMap() const
Definition: PropertyValue.cpp:21

## ◆ IsReference()

bool Gaudi::Parsers::Property::IsReference | ( |  | ) | const
| inline

Definition at line 65 of file Property.h.

65 { return property_value_.IsReference(); }
Gaudi::Parsers::Property::property_value_
PropertyValue property_value_
Definition: Property.h:70
Gaudi::Parsers::PropertyValue::IsReference
bool IsReference() const
Definition: PropertyValue.h:48

## ◆ IsSimple()

bool Property::IsSimple | ( |  | ) | const

Definition at line 33 of file Property.cpp.

33 { return property_value_.IsSimple(); }
Gaudi::Parsers::Property::property_value_
PropertyValue property_value_
Definition: Property.h:70
Gaudi::Parsers::PropertyValue::IsSimple
bool IsSimple() const
Definition: PropertyValue.cpp:17

## ◆ IsVector()

bool Property::IsVector | ( |  | ) | const

Definition at line 35 of file Property.cpp.

35 { return property_value_.IsVector(); }
Gaudi::Parsers::Property::property_value_
PropertyValue property_value_
Definition: Property.h:70
Gaudi::Parsers::PropertyValue::IsVector
bool IsVector() const
Definition: PropertyValue.cpp:19

## ◆ NameInClient()

const std::string & Property::NameInClient | ( |  | ) | const

Definition at line 25 of file Property.cpp.

25 { return property_name_.property(); }
Gaudi::Parsers::Property::property_name_
PropertyName property_name_
Definition: Property.h:69
Gaudi::Parsers::PropertyName::property
const std::string & property() const
Definition: PropertyName.h:27

## ◆ operator+=()

Property& Gaudi::Parsers::Property::operator+= | ( | const PropertyValue & | value | ) |
| inline

Definition at line 42 of file Property.h.

42 {
43 property_value_ += value;
44 return *this;
45 }
Gaudi::Parsers::Property::property_value_
PropertyValue property_value_
Definition: Property.h:70

## ◆ operator-=()

Property& Gaudi::Parsers::Property::operator-= | ( | const PropertyValue & | value | ) |
| inline

Definition at line 46 of file Property.h.

46 {
47 property_value_ -= value;
48 return *this;
49 }
Gaudi::Parsers::Property::property_value_
PropertyValue property_value_
Definition: Property.h:70

## ◆ property_name()

const PropertyName& Gaudi::Parsers::Property::property_name | ( |  | ) | const
| inline

Definition at line 39 of file Property.h.

39 { return property_name_; }
Gaudi::Parsers::Property::property_name_
PropertyName property_name_
Definition: Property.h:69

## ◆ property_value()

PropertyValue& Gaudi::Parsers::Property::property_value | ( |  | ) |
| inline

Definition at line 40 of file Property.h.

40 { return property_value_; }
Gaudi::Parsers::Property::property_value_
PropertyValue property_value_
Definition: Property.h:70

## ◆ ToString()

std::string Property::ToString | ( |  | ) | const

Definition at line 31 of file Property.cpp.

31 { return FullName() + " = " + ValueAsString(); }
Gaudi::Parsers::Property::ValueAsString
std::string ValueAsString() const
Definition: Property.cpp:29
Gaudi::Parsers::Property::FullName
std::string FullName() const
Definition: Property.cpp:27

## ◆ ValueAsString()

std::string Property::ValueAsString | ( |  | ) | const

Definition at line 29 of file Property.cpp.

29 { return gpu::replaceEnvironments( property_value_.ToString() ); }
Gaudi::Parsers::Property::property_value_
PropertyValue property_value_
Definition: Property.h:70
Gaudi::Parsers::PropertyValue::ToString
std::string ToString() const
Definition: PropertyValue.cpp:66
Gaudi::Parsers::Utils::replaceEnvironments
std::string replaceEnvironments(const std::string &input)
Definition: Utils.cpp:18

## ◆ ValuePosition()

const gp::Position & Property::ValuePosition | ( |  | ) | const

Definition at line 21 of file Property.cpp.

21 { return property_value_.position(); }
Gaudi::Parsers::Property::property_value_
PropertyValue property_value_
Definition: Property.h:70
Gaudi::Parsers::PropertyValue::position
const Position & position() const
Definition: PropertyValue.h:32

## Member Data Documentation

## ◆ property_name_

PropertyName Gaudi::Parsers::Property::property_name_
| private

Definition at line 69 of file Property.h.

## ◆ property_value_

PropertyValue Gaudi::Parsers::Property::property_value_
| private

Definition at line 70 of file Property.h.

The documentation for this class was generated from the following files:

- GaudiCoreSvc/src/JobOptionsSvc/Property.h
- GaudiCoreSvc/src/JobOptionsSvc/Property.cpp